Skip to main content
GET
/
{id}
Get offer
curl --request GET \
  --url https://api.sibipro.com/offers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "offer-123",
  "orderIds": [
    "<string>"
  ],
  "thirdPartyId": "ext-123",
  "customerName": "<string>",
  "customerEmail": "<string>",
  "customerPhone": "<string>",
  "fullAddress": "<string>",
  "line1": "<string>",
  "line2": "<string>",
  "city": "<string>",
  "stateOrProvince": "<string>",
  "postalCode": "<string>",
  "status": "pending",
  "acceptedByRole": "curator",
  "offerSentAt": "<string>",
  "selectedOffering": [
    {
      "productId": "<string>",
      "curatorSelectedAddons": [
        {
          "addonId": "<string>"
        }
      ],
      "customerSelectedAddons": [
        {
          "addonId": "<string>"
        }
      ]
    }
  ],
  "offerings": [
    {
      "products": [
        {
          "productId": "<string>",
          "curatorSelectedAddons": [
            {
              "addonId": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "buyoutAmountCents": 50000,
  "creditAmountCents": 75000,
  "companySpendCents": 123,
  "customerSpendCents": 123,
  "offerPricingBreakdown": {
    "subtotal": 123,
    "tax": 123,
    "total": 123,
    "discounts": [
      {
        "amount": 123
      }
    ],
    "fees": [
      {
        "amount": 123
      }
    ],
    "pricedItems": [
      {
        "id": "<string>",
        "title": "<string>",
        "purchasePrice": 123,
        "addons": [
          {
            "id": "<string>",
            "title": "<string>",
            "purchasePrice": 123
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the offer to retrieve

Response

Offer retrieved successfully

id
string
required

The unique identifier for the offer

Example:

"offer-123"

orderIds
string[] | null
required

The unique identifiers of the associated orders created from an offer decision. Will be omitted/null if no order exists

thirdPartyId
string | null
required

External system identifier for this offer. May be omitted or empty when not available

Example:

"ext-123"

customerName
string
required

The full name of the customer associated with this offer

customerEmail
string
required

The email address of the customer associated with this offer

customerPhone
string
required

The phone number of the customer associated with this offer

fullAddress
string | null
required

The complete formatted address for the offer property

line1
string
required

The first line of the property address (street address)

line2
string | null
required

The second line of the property address (unit, suite, etc.). May be omitted or empty when not applicable

city
string
required

The city of the property address

stateOrProvince
string
required

The state or province of the property address

postalCode
string
required

The postal or ZIP code of the property address

status
enum<string>
required

Current offer status

Available options:
pending,
generating_upsells,
awaiting_customer,
canceled,
buyout_accepted,
order_placed,
expired,
unknown
Example:

"pending"

acceptedByRole
enum<string> | null
required

The role of the person who accepted or processed the offer. Will be omitted/null if the offer has not been accepted

Available options:
curator,
customer
offerSentAt
string | null
required

The timestamp when the offer was sent to the customer in ISO 8601 format

selectedOffering
object[] | null
required

An array of selected offering objects, each containing the chosen products and any selected addons. This is the offering that was chosen by the customer or by the curator on behalf of the customer. If the offer is in a status that is not order_placed, this will be omitted/null

offerings
object[]
required

An array of offering options presented in this offer. When the offer is initially created and the status is pending, only the isIncluded product may be present. Upsells are generated asynchronously and may not be present until the offer is updated

buyoutAmountCents
number | null
required

The amount given to the customer for their buyout option on this offer, represented in cents

Example:

50000

creditAmountCents
number | null
required

The amount of credit applied to this offer, represented in cents. May be omitted/null when no credit is applied or when the offer has no upsells

Example:

75000

companySpendCents
number
required

The amount the company will spend on this offer, represented in cents

customerSpendCents
number | null
required

The amount the customer will spend on this offer, represented in cents

offerPricingBreakdown
object
required

Detailed pricing breakdown for the offer checkout, including subtotal, tax, total, discounts, fees, and priced items. Represents the customer pricing shown at checkout. Will be omitted/null if no offer checkout pricing data is available